# Generated from net-netconf-0.4.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name net-netconf

Name: rubygem-%{gem_name}
Version: 0.4.3
Release: 1%{?dist}
Summary: Updated NetConf client
License: BSD 2
URL: https://github.com/kkirsche/net-netconf
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Updated and maintained fork of the Juniper Ruby NetConf client. This is used
to manage Junos OS devices.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/examples

%changelog
* Tue Sep 14 2021 mockbuilder - 0.4.3-1
- Initial package
